#define TARGET_HIGH 0.9
#define TARGET_LOW 0.1

typedef struct email {
	int numwords;			// total 'valid' words in body
	int nummatches;	
	int *wordmatches; 		// freq count of words in wordlist.
	double target;
	char *filename;
} Email;

typedef struct emaillist {
	int numemails;
	int numalloced;
	Email *emails;
} EmailList;

EmailList *newEmailList();
Email *getfreeEmailfromEmailList(EmailList *el, int wordlistsize);
EmailList *EvalEmailList(char *fname, char *wordlist[], int wordlistsize);
