tail -301 output | head -300 | awk '{ print $1 " " $2 }' > toplot1
#echo >> toplot 
tail -301 output | head -300 | awk '{ print $1 " " $4 }' > toplot2
#echo >> toplot 
tail -301 output | head -300 | awk '{ print $1 " " $6 }' > toplot3

gnuplot <<EOF
set terminal png small color
set output "plot.png"
set title "Graph 1:  Classification accuracy"
set ylabel "Percent\ncorrectly\nclassified"
set xlabel "Training epoch"
set key bottom 
plot "toplot1" title "Train" with lines, "toplot2" title "Validate" with line, "toplot3" title "Test" with line

EOF
display plot.png
