#include <stdio.h>
#include <stdlib.h>

// read lines from stdin
// and randomly split them into output files named out1, out2, out3
// additionally, the lines themselves will be placed in a random order
// before being output
// minimal error checking is performed!

// return number from 0 to b-1
myrand(b)
{
	int r=(int)(((double) b * (double) rand()) / (double) RAND_MAX);
	return r;
}

// note:  we can only deal with this many input lines!  (hack)
#define MAXLINES 8192

main()
{
	int i, i1, i2, g;
	char *lines[MAXLINES], *temp;
	FILE *fp1, *fp2, *fp3;
	// this will split approximately in ratio of
	// j=1+(int) (10.0*rand()/(RAND_MAX+1.0));

	int numlines=0;

	while(scanf("%as", &lines[numlines])==1) {
		numlines++;
	}

	// shuffle the array
	for(i=0; i<numlines; i++) {
		i1=myrand(numlines);
		i2=myrand(numlines);
		//printf("swapping %d and %d\n", i1, i2);
		temp=lines[i1]; lines[i1]=lines[i2]; lines[i2]=temp;
	}

	fp1=fopen("out1", "w");
	fp2=fopen("out2", "w");
	fp3=fopen("out3", "w");

	for(i=0; i<numlines; i++) {
		g=myrand(5);		// 0-4:  0,1,2=train, 3=validate, 4=test 
		if(g<3) fprintf(fp1, "%s\n", lines[i]);
		else if(g==3) fprintf(fp2, "%s\n", lines[i]);
		else fprintf(fp3, "%s\n", lines[i]);
	}

	fclose(fp1);
	fclose(fp2);
	fclose(fp3);
}
